Name:           libacpi
Version:        0.2
Release:        14%{?dist}
Summary:        General purpose library for ACPI 

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.ngolde.de/libacpi.html 
Source0:        http://www.ngolde.de/download/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}.patch
Patch1:         %{name}-%{version}-sysfs.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
ExcludeArch:    ppc ppc64

%description    
libacpi is a general purpose shared library for programs gathering 
ACPI data on Linux. Features: Thermal zones support, Battery support, 
Fan support, AC support

Note: This is no portable code, it will only run on i386/x86_64 Linux systems.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
sed -i "s/CFLAGS += .*/CFLAGS += -fPIC $RPM_OPT_FLAGS/;s&usr/local&usr&" config.mk
sed -i "s&share/doc/%{name}&share/doc/%{name}-%{version}&g" Makefile


%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT LIBDIR=%_libdir
chmod +x $RPM_BUILD_ROOT%{_libdir}/%{name}.so.*
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_mandir}/man3/*
%dir %{_defaultdocdir}/%{name}-%{version}
%doc %{_defaultdocdir}/%{name}-%{version}/AUTHORS
%doc %{_defaultdocdir}/%{name}-%{version}/CHANGES
%doc %{_defaultdocdir}/%{name}-%{version}/README
%doc %{_defaultdocdir}/%{name}-%{version}/LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%dir %{_defaultdocdir}/%{name}-%{version}/doc
%doc %{_defaultdocdir}/%{name}-%{version}/doc/*
%{_bindir}/test-libacpi
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 19 2008 Sven Lankes <sven@lank.es> - 0.2-12
- Add ExcludeArch for ppc/ppc64

* Sat Aug  2 2008 Sven Lankes <sven@lank.es> - 0.2-11
- redo sysfs patch to apply without fuzz
- fix patch invocation

* Mon Jul  7 2008 slankes <sven@lank.es> - 0.2-10
- minor specfile-tweaks

* Thu May  8 2008 slankes <sven@lank.es> - 0.2-9
- save docs in name-version instead of name 

* Thu May  8 2008 slankes <sven@lank.es> - 0.2-8
- add missing docdir

* Tue May  6 2008 slankes <sven@lank.es> - 0.2-7
- patch Makefile to preserve timestamps
- only use sed to mangle config.mk
- add patch from debian-package to use sysfs for battery readout
    needs at least kernel 2.6.24 

* Mon May  5 2008 slankes <sven@lank.es> - 0.2-6
- Mark library as executable so that rpmbuild will strip it
- replace upstream CFLAGS 

* Mon May  5 2008 slankes <sven@lank.es> - 0.2-5
- Various SPECFILE cleanups
- Remove .a 
- do not strip library

* Sat May  3 2008 slankes <sven@lank.es> - 0.2-4
- First version of the package

